Subject: bug#33676: GuixSD on eoma68-a20?

From: Ludovic Courtès <[email-masked]>
Date: Sun, 16 Dec 2018 16:59:48 +0100

Hi Danny,

Danny Milosavljevic <[email-masked]> skribis:

> On Fri, 14 Dec 2018 11:48:52 +0100
> Ludovic Courtès <[email-masked]> wrote:
>
>> I believe you can download it by running:
>> 
>>   guix build /gnu/store/ywrh286iqc3jlfhjqsvs22gmcr02i2bp-disk-image.drv
>
> I don't have it.
>
>> If you don’t have this .drv, you should be able to build it from commit
>> cba7ddcf603455c6692eb50c8bbf203a6bf17ab1.
>
> I tried
>
> ./pre-inst-env guix system disk-image --system=armhf-linux -e '(begin (use-modules (gnu system) (gnu bootloader) (gnu bootloader u-boot) (gnu system install)) (operating-system (inherit installation-os) (bootloader (bootloader-configuration (bootloader u-boot-bootloader) (target #f)))))'
>
> and I get:
>
> [...]
> The following package will be installed:
>    guile-bootstrap      2.0     /tmp/guix-tests/store/1gd1z2r2a38bh3a4494jbhyzcv5mi5hl-guile-bootstrap-2.0

The solution I proposed only works if you’re using /gnu/store as your
store prefix.  Otherwise you cannot get substitutes from the build
farm.  :-/

> gnu/packages/scheme.scm:170:30: In procedure inputs:
> Throw to key `match-error' with args `("match" "no matching pattern" "armhf-linux")'.

This looks like the issue fixed in
966629a114fd90153784dfdbe5e332e0ac94f1bc.

HTH!

Ludo’.